## tarantool 1.7.5.46.gd98815384

=== debian/changelog ===
tarantool (1.7.5.46.gd98815384-1) unstable; urgency=medium

  * Stabilization of Vinyl storage engine.
  * Improved MemTX TREE iterators.
  * Better replication monitoring.
  * WAL tracking for remote replicas on master.
  * Automatic snapshots every hour.
  * Lua API to create consistent backups.
  * Hot code reload for stored C procedures.
  * New built-in rocks: 'http.client', 'iconv' and 'pwd'.
  * Lua 5.1 command line options.
  * LuaRocks-based package manager.
  * Stack traces support in fiber.info().
  * New names for box.cfg() options.
  * Hot standy mode is now off by default.
  * Support for UNIX pipes in tarantoolctl.
  * Non-blocking syslog logger.
  * Improved systemd integration.
  * Hundrends of bugs fixed, see GitHub release notes for details:
    https://github.com/tarantool/tarantool/releases/tag/1.7.5

 -- Roman Tsisyk <roman@tarantool.org>  Tue, 12 Sep 2017 14:00:00 +0300

tarantool (1.7.4.47.g06ee320-1) unstable; urgency=medium

  * Bump the minimum required version of tarantool-common.

 -- Roman Tsisyk <roman@tarantool.org>  Fri, 10 Mar 2017 16:17:09 +0300
